MOSH(1)

NAME
mosh - A Fast R6RS Scheme Interpreter

SYNOPSIS
mosh [ options ] [ file ]

DESCRIPTION
mosh is a free and fast interpreter for Scheme that supports all of the features of R6RS.

The default auto-compile-cache directory is $HOME/.mosh.

This manpage only describes the basic usage options of mosh. For the full user manual, please visit http://mosh.monaos.org.

OPTIONS

-5  Run with safe mode (Almost R5RS).

--help, -h
    Prints help.

-v, -V
    Prints version and exits.

-p  Executes with profiler.

--loadpath=path
    Add library loadpath.
    The path is a colon-separated list of directories.
    See also MOSH_LOADPATH.

--disable-acc
    Disables auto-compile-cache.

--clean-acc
    Cleans auto-compile-cache.

ENVIRONMENT

MOSH_LOADPATH
    You can add library loadpaths by using this variable with colon-separated paths.

SEE ALSO
mosh_config(1)

MORE INFORMATION
http://code.google.com/p/mosh-scheme (source)
http://code.google.com/p/mosh-scheme/issues (bug reports)
http://mosh.monaos.org (user manual)

AUTHOR
Taro Minowa (higepon) <higepon@users.sourceforge.jp>